# Scripts and Settings

This folder contains scripts which are called by the web interface and four for automatic management of music data.

```
******************
**** IMPORTANT ***
******************
```

Make sure the web server obeys .htaccess directives!! We dont' want these executed remotely.

## INI file:

homeaudio.ini - This file must be in /etc/. Edit contents according to local configuration. None of the included scripts will work without this file in /etc/.

## Web accessible system scripts:

homeaudio_togglemute.pl - This file will toggle system volume to mute and back.

## Jukebox script:

homeaudio_music.pl - This script is intended to be run by the Apache user in the background, all the time.

## System scripts: (intended to be run daily, usually from cron)

homeaudio_auditqueues.pl - Clean up queues
homeaudio_makealpha.pl - Create all the alphabetical based links to albums in /Alphabetical/
homeaudio_parsesongs.php - Syncs up the database songs with files on the HD.
homeaudio_updateall.sh - Run all three of the above scripts. Useful when you add new songs. Make sure the SCRIPTPATH in this file is correct.

## Migration script: Intended to be run once. THIS WILL REMOVE USER QUEUES!

migrateuserqueues.php - This script will attempt to convert user queues from the old DB to the new DB. Edit first! Use with caution.
